org.gradle.api.plugins

## Class JavaLanguagePlugin

- java.lang.Object
- - org.gradle.api.plugins.JavaLanguagePlugin

- All Implemented Interfaces:
    Plugin<Project>

      @Incubating
      public class JavaLanguagePlugin
      extends Object
      implements Plugin<Project>

  Plugin for compiling Java code. Applies the `JvmLanguagePlugin`. Adds a `JavaCompile` task for each `JavaSourceSet` added to a `ClassDirectoryBinary`. Registers the `JavaSourceSet` element type for each `FunctionalSourceSet` added to `ProjectSourceSet`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JavaLanguagePlugin(org.gradle.internal.reflect.Instantiator instantiator, org.gradle.api.internal.file.FileResolver fileResolver)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `apply(Project target)` Apply this plugin to the given target object.
    `void` | `configureCompileTask(AbstractCompile compile, JavaSourceSet sourceSet, ClassDirectoryBinary binary)` Preconfigures the specified compile task based on the specified source set and class directory binary.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JavaLanguagePlugin

          @Inject
          public JavaLanguagePlugin(org.gradle.internal.reflect.Instantiator instantiator,
                                   org.gradle.api.internal.file.FileResolver fileResolver)

  - ### Method Detail

    - #### apply

          public void apply(Project target)

      Description copied from interface: `Plugin`
      Apply this plugin to the given target object.
      Specified by:
        `apply` in interface `Plugin<Project>`
      Parameters:
        `target` - The target object

    - #### configureCompileTask

          public void configureCompileTask(AbstractCompile compile,
                                  JavaSourceSet sourceSet,
                                  ClassDirectoryBinary binary)

      Preconfigures the specified compile task based on the specified source set and class directory binary.
      Parameters:
        `compile` - the compile task to be preconfigured
        `sourceSet` - the source set for the compile task
        `binary` - the binary for the compile task